# Class CIM_PackageAlarm
extends CIM_PackageDependency

Often, an AlarmDevice is installed as part of a Package, not to indicate issues with any particular LogicalDevice or PhysicalComponent, but with the Package's environment in general, its security state or its overall health. The use of this association has been deprecated. Instead, use PackageDependency to describe this relationship.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_PackageDependency
|
+--CIM_PackageAlarm

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | CIM_PackageDependency
Description | string | Often, an AlarmDevice is installed as part of a Package, not to indicate issues with any particular LogicalDevice or PhysicalComponent, but with the Package's environment in general, its security state or its overall health. The use of this association has been deprecated. Instead, use PackageDependency to describe this relationship.
UMLPackagePath | string | CIM::Device::Sensors
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_PackageAlarm | CIM_AlarmDevice
Dependent | CIM_PackageAlarm | CIM_PhysicalPackage

## Class Methods